﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AirplaneWithRadar
{
    internal class DrawningRhombusPortholes : DrawningAirplanePortholes
    {
        protected override void DrawPorthole(Graphics g, int _startPosX, int _startPosY)
        {
            Pen pen = new(Color.Black);
            PointF[] point = new PointF[4];
            point[0] = new PointF(_startPosX, _startPosY);
            point[1] = new PointF(_startPosX - 2, _startPosY + 2);
            point[2] = new PointF(_startPosX, _startPosY + 4);
            point[3] = new PointF(_startPosX + 2, _startPosY + 2);
            g.DrawPolygon(pen, point);
        }
    }
}